summaryrefslogtreecommitdiffstats
path: root/graphics/antares/antares.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2020-01-12 16:08:17 +0100
committer Willy Sudiarto Raharjo2020-01-12 16:08:17 +0100
commit3672e52cf9ce23c0e32dfe432f967c3e99fc8340 (patch)
tree2b1c4f84f286758c4429243d7612caeec41566e1 /graphics/antares/antares.SlackBuild
parentb946a8e766273898fe088fac21b5304f5ac9229b (diff)
downloadslackbuilds-3672e52cf9ce23c0e32dfe432f967c3e99fc8340.tar.gz
graphics/antares: Added (A tactical space combat game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics/antares/antares.SlackBuild')
-rw-r--r--graphics/antares/antares.SlackBuild96
1 files changed, 96 insertions, 0 deletions
diff --git a/graphics/antares/antares.SlackBuild b/graphics/antares/antares.SlackBuild
new file mode 100644
index 0000000000..c5bf1b2b24
--- /dev/null
+++ b/graphics/antares/antares.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for antares
+
+# Copyright 2018, 2020 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=antares
+VERSION=${VERSION:-0.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Prevent downloading the source during install
+mkdir -p $PKG/usr/share/games/$PRGNAM/downloads
+cp $CWD/Ares-1.2.0.zip $PKG/usr/share/games/$PRGNAM/downloads
+
+# Don't connect accessibility bus.
+# https://github.com/arescentral/antares/issues/276
+export NO_AT_BRIDGE=1
+
+# Use a system version of gn.
+sed -i 's|build/lib/bin/gn|gn|' build/lib/scripts/cfg.py
+
+# gn: Fix build with newer gn versions.
+# https://github.com/arescentral/procyon/pull/15
+( cd ext/procyon; patch -p1 < $CWD/procyon.patch )
+
+# Makefile: Install the text directory.
+# https://github.com/arescentral/antares/pull/307
+patch -p1 < $CWD/text.patch
+
+# configure is a python script
+./configure \
+ --prefix=/usr
+
+make NINJA="${NINJA:-ninja} -C out/cur" install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CONTRIBUTING COPYING COPYING.LESSER README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}